# CYR_DBTOOL

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
FILES
SEE ALSO

## NAME

cyr_dbtool − manage Cyrus databases

## SYNOPSIS

cyr_dbtool [ −C config-file ] [ −M ] [ −n ] [ −o ] [ −T ] <db file> <db backend> <action> [ <key> ] [ <value> ]

## DESCRIPTION

cyr_dbtool is used to manage a cyrusdb file. The usable actions are:

show [<prefix>]

get <key>

set <key> <value>

delete <key>

consistency

repack

You may omit key or key/value and specify one per line on stdin. Keys are terminated by tab or newline, values are terminated by newline.

Running without any options will list the available database backends and usable actions.

The ’consistency’ command runs a consistency check on the DB by calling

The ’repack’ command will compress the database by removing stale data on backends which support it. It’s a NOOP otherwise.

cyr_dbtool reads any applicable configuration options out of the imapd.conf(5) file unless specified otherwise by -C. note that the file locations are NOT read out of the configuration file, and must be supplied on the command line.

## OPTIONS

−C config-file

Read configuration options from config-file.

| −M |  | Uses improved MBOX list sort.
| −n |  | Create the database file if it doesn’t already exist.
| −o |  | Store all the output in memory and only print it once the transaction is completed.
| −T |  | Use a transaction to do the action (most especially for ’show’) - the default used to be transactions.

## FILES

/etc/imapd.conf

## SEE ALSO

imapd.conf(5)